## apper 1.0.0%2Brebuild

=== debian/changelog ===
apper (1.0.0+rebuild-1+eagle) unstable; urgency=medium

  * update

 -- Matthias Klumpp <mak@debian.org>  Wed, 27 Jan 2021 13:55:21 +0800
