=== debian/control ===
Source: apper
Section: kde
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 3.0),
               debhelper-compat (= 12),
               docbook (>= 4.5),
               extra-cmake-modules (>= 5.14),
               kded5-dev,
               libappstreamqt-dev (>= 0.11.8),
               libdebconf-kde-dev (>= 1.0.2),
               libkf5config-dev (>= 5.42),
               libkf5dbusaddons-dev (>= 5.42),
               libkf5doctools-dev (>= 5.42),
               libkf5guiaddons-dev (>= 5.42),
               libkf5i18n-dev (>= 5.42),
               libkf5kcmutils-dev(>= 5.42),
               libkf5kio-dev (>= 5.42),
               libkf5notifications-dev (>= 5.42),
               libpackagekitqt5-dev (>= 1.0.1),
               libqt5xmlpatterns5-dev,
               pkg-kde-tools (>= 0.15.28),
               plasma-workspace-dev,
               qtdeclarative5-dev (>= 5.9.2)
Standards-Version: 4.3.0
Homepage: https://www.kde.org/applications/system/apper/
Vcs-Git: https://salsa.debian.org/pkgutopia-team/apper.git
Vcs-Browser: https://salsa.debian.org/pkgutopia-team/apper

Package: apper
Architecture: any
Depends: apper-data (>= ${source:Version}),
         packagekit (>= 0.8.6),
         polkit-kde-1 | policykit-1-gnome,
         software-properties-kde,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: apper-appsetup (<< 0.7.2)
Breaks: apper-appsetup (<< 0.7.2)
Recommends: appstream,
            apt-config-icons,
            debconf-kde-helper
Description: KDE package management tool using PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a KDE package manager based on PackageKit,
 as well as package management support for the KDE desktop.
 It implements the PackageKit session API for KDE, which allows
 applications to easily install additional software (e.g. extensions),
 uninstall files and perform simple software status queries.

Package: apper-data
Architecture: all
Replaces: apper (<< 0.7.2)
Breaks: apper (<< 0.7.2)
Depends: ${misc:Depends}
Description: KDE package management tool using PackageKit (data files)
 PackageKit allows performing simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides data files for Apper, the
 KDE package manager based on PackageKit.
