=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 APPER_CONFIG_FLAGS = -DDEBCONF_SUPPORT=ON \
 		-DAPPSTREAM=ON \
 		-DAUTOREMOVE=ON \
-		-DEDIT_ORIGNS_DESKTOP_NAME=software-properties-qt
+		-DEDIT_ORIGNS_DESKTOP_NAME=software-properties-kde
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -24,3 +24,6 @@
 
 	# Fix file conflict between GNOME Software and Apper
 	mv $(INSTALLDIR)/usr/share/dbus-1/services/org.freedesktop.PackageKit.service $(INSTALLDIR)/usr/share/dbus-1/services/kde-org.freedesktop.PackageKit.service
+
+override_dh_missing:
+	dh_missing --fail-missing
